STATVFS(2)

NOM
statvfs, fstatvfs - Obtenir les statistiques d'un système de fichiers

SYNOPSIS
#include <sys/statvfs.h>

int statvfs(const char *path, struct statvfs *buf);
int fstatvfs(int fd, struct statvfs *buf);

DESCRIPTION
La fonction statvfs() retourne des informations sur un système de fichiers monté. path est un chemin vers n'importe quel fichier du système de fichiers monté. buf est un pointeur vers une structure statvfs approximativement définie comme ceci :
struct statvfs {
    unsigned long  f_bsize;    /* taille de bloc du système de fichiers */
    unsigned long  f_frsize;   /* taille d'un fragment */
    fsblkcnt_t     f_blocks;   /* taille du système de fichiers en unité f_frsize  */
    fsblkcnt_t     f_bfree;    /* nombre de blocs libres */
    fsblkcnt_t     f_bavail;   /* nombre de blocs libres pour non-root */
    fsfilcnt_t     f_files;    /* nombre d'in